Subject: Re: bug#594: plasma-workspace: KRunner starts programs in the filesystem root

From: Hannah Rittich <[email-masked]>
Date: Fri, 23 Jul 2021 16:39:26 +0200

Hi,

 > If even then it is still not present on the clean bullseye
 > sysvinit install, I suspect a configuration change on the Devuan
 > system. AFAIK all the relevant packages are the same between
 > chimaera and bullseye.

it seems that I cannot change the init system on Bullseye to reproduce 
the error, because if I try to install sysvinit-core, apt wants to 
remove the plasma-workspace package.

Is there something I can try, to reproduce the problem on Debian? Shall 
I still report to Debian's BTS while stating it can only be reproduced 
on Devuan?

I have done some further investigation. If you start krunner on 
Bullseye, the krunner process is owned by "/lib/systemd/systemd --user" 
and the working directory is my home directory. On Chimaera, krunner is 
owned by init and the working directory is the file-system root.

As a workaround I have created a wrapper script, which launches krunner 
in the user's home directory. Executing the following fixes the problem.

     mv /usr/bin/krunner /usr/bin/krunner.orig
     cat > /usr/bin/krunner << EOS
     #!/bin/sh
     cd "\$HOME"
     exec /usr/bin/krunner.orig "$@"
     EOS
     chmod a+x /usr/bin/krunner

(Note, to reproduce the error, I have also installed a fresh version of 
Chimaera into a VM.)

Hannah